ROOT=../../..
CFLAGS = -Wall -g -I$(ROOT)/src_3rd -I..
LDFLAGS = -lm

LOCLIBS = $(ROOT)/src_3rd/genvector/libgenvector.a $(ROOT)/src_3rd/genht/libgenht.a
DATAO=../htdi.o ../data.o ../rtree.o ../compat_misc.o ../netseg.o ../find.o ../rtpoly.o
GRIDO=../util_grid.o

all: raline grid poly

raline: raline.o $(DATA) $(LOCLIBS)

poly: poly.o $(DATAO) $(LOCLIBS)

grid: grid.o $(GRIDO) $(DATAO) $(LOCLIBS)
